diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/hppa1.1/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/hppa1.1/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/hppa1.1/ChangeLog	Tue Feb 11 05:45:45 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/hppa1.1/ChangeLog	Thu Mar  6 04:44:10 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/i386/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/i386/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/i386/ChangeLog	Tue Feb 11 05:45:26 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/i386/ChangeLog	Thu Mar  6 04:43:52 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/i960/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/i960/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/i960/ChangeLog	Tue Feb 11 05:45:29 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/i960/ChangeLog	Thu Mar  6 04:43:54 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/m68k/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/m68k/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/m68k/ChangeLog	Tue Feb 11 05:45:31 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/m68k/ChangeLog	Thu Mar  6 04:43:56 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/m68k/mcf5206/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/m68k/mcf5206/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/m68k/mcf5206/ChangeLog	Tue Feb 11 05:45:32 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/m68k/mcf5206/ChangeLog	Thu Mar  6 04:43:58 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/mips/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/mips/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/mips/ChangeLog	Tue Feb 11 05:46:01 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/mips/ChangeLog	Thu Mar  6 04:44:26 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/mips64orion/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/mips64orion/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/mips64orion/ChangeLog	Tue Feb 11 05:45:47 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/mips64orion/ChangeLog	Thu Mar  6 04:44:13 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/powerpc/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/powerpc/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/powerpc/ChangeLog	Tue Feb 11 05:45:57 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/powerpc/ChangeLog	Tue Mar 25 12:36:34 2003
***************
*** 1,3 ****
--- 1,38 ----
+ 2003-03-25	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 368/filesystems
+ 	* mpc8xx/include/mpc8xx.h: Add PCMCIA registers.
+ 
+ 2003-03-25	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 349/bsps
+ 	* shared/include/cpuIdent.c: Readd PPC604r CPU.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-02-20	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 349/bsps
+ 	* mpc6xx/exceptions/raw_exception.c, mpc6xx/mmu/bat.c,
+ 	mpc6xx/mmu/pte121.c, shared/include/cpuIdent.c,
+ 	shared/include/cpuIdent.h, shared/src/Makefile.am, shared/src/stack.c,
+ 	shared/src/stackTrace.h, powerpc/registers.h:
+ 	  - undo improper 'fix' who broke mpc604r identification
+ 	  - fix: 7400 identification PVR value was wrong
+ 	  - enhance 'setdbat()' to switch OFF a given BAT if called with 0 size
+ 	  - fix: page table support bugfix
+ 	  - enhancement: provide routines to take and print stack trace
+ 	    snapshots
+ 	  - add definitions for HID1 and DABR SPRs
+ 
+ 2003-02-14	Greg Menke <gregory.menke@gsfc.nasa.gov>
+ 
+ 	PR 348/bsps
+ 	* mpc6xx/exceptions/raw_exception.c: Add PPC_603ev as required
+ 	by MTX603e BSP.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/sh/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/sh/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/sh/ChangeLog	Tue Feb 11 05:45:40 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/sh/ChangeLog	Thu Mar  6 04:44:06 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7032/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7032/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7032/ChangeLog	Tue Feb 11 17:28:48 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7032/ChangeLog	Thu Mar  6 04:44:03 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Joel Sherrill <joel@OARcorp.com>
  
  	* score/cpu_asm.c: Rework logic that decides when to call
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7045/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7045/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7045/ChangeLog	Tue Feb 11 17:29:06 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7045/ChangeLog	Thu Mar  6 04:44:01 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Joel Sherrill <joel@OARcorp.com>
  
  	* score/cpu_asm.c: Rework logic that decides when to call
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7750/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7750/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/sh/sh7750/ChangeLog	Tue Feb 11 17:42:13 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/sh/sh7750/ChangeLog	Thu Mar  6 04:44:08 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Joel Sherrill <joel@OARcorp.com>
  
  	* score/cpu_asm.c: Rework logic that decides when to call
diff -N -P -r -c rtems-4.6.0pre1/c/src/lib/libcpu/sparc/ChangeLog rtems-4.6.0pre2/c/src/lib/libcpu/sparc/ChangeLog
*** rtems-4.6.0pre1/c/src/lib/libcpu/sparc/ChangeLog	Tue Feb 11 05:45:50 2003
--- rtems-4.6.0pre2/c/src/lib/libcpu/sparc/ChangeLog	Thu Mar  6 04:44:15 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/libchip/ChangeLog rtems-4.6.0pre2/c/src/libchip/ChangeLog
*** rtems-4.6.0pre1/c/src/libchip/ChangeLog	Tue Feb 11 05:46:39 2003
--- rtems-4.6.0pre2/c/src/libchip/ChangeLog	Tue Apr 15 08:03:40 2003
***************
*** 1,3 ****
--- 1,34 ----
+ 2003-04-15	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 387/rtems_misc
+ 	* ide/ata.c: Removed warning and moved to use of simpler libc routines.
+ 	* ide/ata_internal.h: Added missing newline and end of file.
+ 
+ 2003-03-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* ide/Makefile.am: ATA code depends upon libchip/ide which is not
+ 	allowed in the cpukit source code since it must be buildable
+ 	independent of any BSP. These files were moved to libchip/ide.
+ 	* ide/ata.c, ide/ata.h, ide/ata_internal.h: New files.
+ 
+ 2003-03-25	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 368/filesystems
+ 	* ide/Makefile.am, ide/ide_ctrl_cfg.h: General improvements which
+ 	now work on pc386 and mbx8xx.
+ 	* ide/ide_controller.c: New file.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-02-20	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 354/networking
+ 	* network/if_fxp.c (Intel eepro network driver): re-enabled the chip
+ 	against a table of supported chips. The untested
+ 	ones are still commented out, however.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/libnetworking/ChangeLog rtems-4.6.0pre2/c/src/libnetworking/ChangeLog
*** rtems-4.6.0pre1/c/src/libnetworking/ChangeLog	Tue Feb 11 05:41:32 2003
--- rtems-4.6.0pre2/c/src/libnetworking/ChangeLog	Tue Mar 18 18:51:54 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-03-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* pppd/utils.c: Remove strlcpy, strlcat.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/librdbg/ChangeLog rtems-4.6.0pre2/c/src/librdbg/ChangeLog
*** rtems-4.6.0pre1/c/src/librdbg/ChangeLog	Tue Feb 11 05:46:47 2003
--- rtems-4.6.0pre2/c/src/librdbg/ChangeLog	Thu Mar  6 04:45:16 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/librtems++/ChangeLog rtems-4.6.0pre2/c/src/librtems++/ChangeLog
*** rtems-4.6.0pre1/c/src/librtems++/ChangeLog	Wed Dec 18 23:11:50 2002
--- rtems-4.6.0pre2/c/src/librtems++/ChangeLog	Thu Mar  6 04:45:06 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-03-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* Makefile.am: Build librtems++$(LIB_VARIANT).a
+ 
  2002-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* Makefile.am: Eliminate *_O_FILES.
diff -N -P -r -c rtems-4.6.0pre1/c/src/make/ChangeLog rtems-4.6.0pre2/c/src/make/ChangeLog
*** rtems-4.6.0pre1/c/src/make/ChangeLog	Tue Feb 11 05:46:06 2003
--- rtems-4.6.0pre2/c/src/make/ChangeLog	Tue Apr  8 00:22:37 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-04-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* bsp.mak: Use var="$val" instead of var=${var=$val}. to satisfy
+ 	Solaris /bin/sh.
+ 	(Reported by Till Straumann <strauman@SLAC.Stanford.EDU>).
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/optman/ChangeLog rtems-4.6.0pre2/c/src/optman/ChangeLog
*** rtems-4.6.0pre1/c/src/optman/ChangeLog	Tue Feb 11 05:46:49 2003
--- rtems-4.6.0pre2/c/src/optman/ChangeLog	Thu Mar  6 04:45:18 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/ChangeLog rtems-4.6.0pre2/c/src/tests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/ChangeLog	Tue Feb 11 05:46:36 2003
--- rtems-4.6.0pre2/c/src/tests/ChangeLog	Thu Mar  6 04:45:04 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/itrontests/ChangeLog rtems-4.6.0pre2/c/src/tests/itrontests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/itrontests/ChangeLog	Tue Feb 11 05:46:09 2003
--- rtems-4.6.0pre2/c/src/tests/itrontests/ChangeLog	Thu Mar  6 04:44:34 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/libtests/ChangeLog rtems-4.6.0pre2/c/src/tests/libtests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/libtests/ChangeLog	Mon Feb  3 19:16:14 2003
--- rtems-4.6.0pre2/c/src/tests/libtests/ChangeLog	Thu Mar  6 04:44:37 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Unconditionally check for CXX.
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/mptests/ChangeLog rtems-4.6.0pre2/c/src/tests/mptests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/mptests/ChangeLog	Tue Feb 11 05:46:12 2003
--- rtems-4.6.0pre2/c/src/tests/mptests/ChangeLog	Thu Mar  6 04:44:40 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/psxtests/ChangeLog rtems-4.6.0pre2/c/src/tests/psxtests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/psxtests/ChangeLog	Tue Feb 11 05:46:16 2003
--- rtems-4.6.0pre2/c/src/tests/psxtests/ChangeLog	Thu Mar  6 04:44:44 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/samples/ChangeLog rtems-4.6.0pre2/c/src/tests/samples/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/samples/ChangeLog	Tue Feb 11 05:46:18 2003
--- rtems-4.6.0pre2/c/src/tests/samples/ChangeLog	Thu Mar  6 04:44:47 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/sptests/ChangeLog rtems-4.6.0pre2/c/src/tests/sptests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/sptests/ChangeLog	Tue Feb 11 05:46:22 2003
--- rtems-4.6.0pre2/c/src/tests/sptests/ChangeLog	Thu Mar  6 04:44:50 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/support/ChangeLog rtems-4.6.0pre2/c/src/tests/support/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/support/ChangeLog	Tue Feb 11 05:46:24 2003
--- rtems-4.6.0pre2/c/src/tests/support/ChangeLog	Thu Mar  6 04:44:53 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/tmitrontests/ChangeLog rtems-4.6.0pre2/c/src/tests/tmitrontests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/tmitrontests/ChangeLog	Tue Feb 11 05:46:26 2003
--- rtems-4.6.0pre2/c/src/tests/tmitrontests/ChangeLog	Thu Mar  6 04:44:55 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/tmtests/ChangeLog rtems-4.6.0pre2/c/src/tests/tmtests/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/tmtests/ChangeLog	Tue Feb 11 05:46:29 2003
--- rtems-4.6.0pre2/c/src/tests/tmtests/ChangeLog	Thu Mar  6 04:44:58 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/tools/ChangeLog rtems-4.6.0pre2/c/src/tests/tools/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/tools/ChangeLog	Tue Feb 11 05:46:34 2003
--- rtems-4.6.0pre2/c/src/tests/tools/ChangeLog	Thu Mar  6 04:45:02 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/c/src/tests/tools/generic/ChangeLog rtems-4.6.0pre2/c/src/tests/tools/generic/ChangeLog
*** rtems-4.6.0pre1/c/src/tests/tools/generic/ChangeLog	Tue Feb 11 05:46:32 2003
--- rtems-4.6.0pre2/c/src/tests/tools/generic/ChangeLog	Thu Mar  6 04:45:00 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/ChangeLog rtems-4.6.0pre2/cpukit/ChangeLog
*** rtems-4.6.0pre1/cpukit/ChangeLog	Tue Feb 11 17:56:22 2003
--- rtems-4.6.0pre2/cpukit/ChangeLog	Fri Apr 18 09:35:35 2003
***************
*** 1,3 ****
--- 1,72 ----
+ 2003-04-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.0pre2.
+ 
+ 2003-03-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* wrapup/Makefile.am: Remove '/' after $(DESTDIR) to work around
+ 	Cygwin mistreating paths.
+ 
+ 2003-03-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* wrapup/Makefile.am: Reflect changes to project_libdir.
+ 
+ 2003-03-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/env-rtemscpu.m4: Remove obsolete comment.
+ 	Add MULTISUBDIR to project_libdir.
+ 
+ 2003-03-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/env-rtemscpu.m4: Remove RTEMS_ROOT (Unused).
+ 	* aclocal/env-rtemsbsp.m4: Remove RTEMS_ROOT (Unused).
+ 	Remove RTEMS_PROJECT_ROOT (Unused).
+ 	* aclocal/tool-paths.m4: Delete.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 	* aclocal/rtems-top.m4: Add AC_CONFIG_AUX_DIR.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: AC_PREREQ(2.57).
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove sptables.h.in.
+ 
+ 2003-02-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_SUBST(RTEMS_VERSION).
+ 	AC_DEFINE(RTEMS_VERSION) to propagate it through cpuopts.h.
+ 
+ 2003-02-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: AC_SUBST(RTEMS_VERSION,_RTEMS_VERSION).
+ 
+ 2003-02-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/gcc-isystem.m4: New.
+ 	* aclocal/gcc-specs.m4: Remove.
+ 	* aclocal/prog-cc.m4: Remove RTEMS_GCC_SPECS.
+ 	Add RTEMS_GCC_ISYSTEM.
+ 	Reformat setting up RTEMS_CPPFLAGS.
+ 
+ 2003-02-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* automake/local.am: Introduce depend-gcc.
+ 	Remove ${ARCH}.
+ 	* automake/compile.am: Remove GCCSPECS, GCC_SPECS, CONFIG.CC, CC,
+ 	CPP. Add ${ARCH}. depend-gcc.
+ 	* aclocal/prog-cc.m4: Set up RTEMS_CPPFLAGS.
+ 	* aclocal/env-rtemscpu.m4: Remove GCC_SPECS.
+ 	* aclocal/env-rtemsbsp.m4: Remove GCC_SPECS.
+ 
+ 2003-02-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/canonical-target-name.m4: Transform tic4x -> RTEMS_CPU=c4x.
+ 
  2003-02-11	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.0pre1.
diff -N -P -r -c rtems-4.6.0pre1/cpukit/ada/ChangeLog rtems-4.6.0pre2/cpukit/ada/ChangeLog
*** rtems-4.6.0pre1/cpukit/ada/ChangeLog	Tue Feb 11 05:47:49 2003
--- rtems-4.6.0pre2/cpukit/ada/ChangeLog	Thu Mar  6 03:40:31 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/itron/ChangeLog rtems-4.6.0pre2/cpukit/itron/ChangeLog
*** rtems-4.6.0pre1/cpukit/itron/ChangeLog	Tue Feb 11 05:47:23 2003
--- rtems-4.6.0pre2/cpukit/itron/ChangeLog	Thu Mar  6 03:38:15 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/libblock/ChangeLog rtems-4.6.0pre2/cpukit/libblock/ChangeLog
*** rtems-4.6.0pre1/cpukit/libblock/ChangeLog	Tue Feb 11 05:47:26 2003
--- rtems-4.6.0pre2/cpukit/libblock/ChangeLog	Wed Apr 16 14:35:11 2003
***************
*** 1,3 ****
--- 1,28 ----
+ 2002-04-10      Victor V. Vengerov <vvv@oktet.ru>
+ 
+ 	PR 385/filesystem
+ 	* src/ramdisk.c: The "from" and "to" locations are calculated as
+ 	the start of the block within the ram that data is to be transferred
+ 	from/to for reads and writes respectively.  However, within
+ 	the loops, the "from" and "to" locations are never updated.  The loop
+ 	should have been updated as:
+ 	    from += rd->block_size;
+ 	and
+ 	    to += rd->block_size;
+ 	within the for loops in the ramdisk_read and ramdisk_write routines,
+ 	respectively.
+ 
+ 2003-03-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* Makefile.am: ATA code depends upon libchip/ide which is not allowed
+ 	in the cpukit source code since it must be buildable independent of
+ 	any BSP. These files were moved to libchip/ide.
+ 	* include/rtems/ata.h, include/rtems/ata_internal.h, src/ata.c: Removed.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/libcsupport/ChangeLog rtems-4.6.0pre2/cpukit/libcsupport/ChangeLog
*** rtems-4.6.0pre1/cpukit/libcsupport/ChangeLog	Tue Feb 11 05:47:29 2003
--- rtems-4.6.0pre2/cpukit/libcsupport/ChangeLog	Thu Apr 17 05:45:07 2003
***************
*** 1,3 ****
--- 1,40 ----
+ 2003-04-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* src/no_posix.c: include <reent.h> instead of <sys/reent.h>
+ 
+ 2003-04-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 389/rtems
+ 	* src/no_posix.c: Correct _kill_r() prototype and make it conditional
+ 	on newlib.
+ 
+ 2003-04-03	Eri Valette <eric.valette@free.fr>
+ 
+ 	PR 381/core
+ 	* src/newlibc.c: Switch from using _REENT_INIT to _REEINT_INIT_PTR
+ 	to fix strange run-time problem where EIP was corrupted on pc386 BSP.
+ 
+ 2003-03-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: AC_CHECK_FUNCS(strlcpy strlcat).
+ 	* src/strlcat.c: New (extracted from pppd/utils.c).
+ 	* src/strlcpy.c: New (extracted from pppd/utils.c).
+ 	* Makefile.am: Add BSD_C_FILES, strlcat.c, strlcpy.c.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-02-20	Wolfram Wadepohl <W.Wadepohl@indumat.de>
+ 
+ 	PR 357/rtems_misc
+ 	* src/termios.c (rtems_termios_open):  Fixed code the incorrectly
+ 	checked that the wrong pointer during allocation was NULL.
+ 
+ 2003-02-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* src/privateenv.c: Fix prototype for free_user_env.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/libfs/ChangeLog rtems-4.6.0pre2/cpukit/libfs/ChangeLog
*** rtems-4.6.0pre1/cpukit/libfs/ChangeLog	Tue Feb 11 05:47:33 2003
--- rtems-4.6.0pre2/cpukit/libfs/ChangeLog	Tue Mar 25 11:01:56 2003
***************
*** 1,3 ****
--- 1,19 ----
+ 2003-03-25	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 367/filesystem
+ 	* src/dosfs/Makefile.am, src/dosfs/fat.c, src/dosfs/fat.h,
+ 	src/dosfs/fat_fat_operations.c, src/dosfs/fat_file.c,
+ 	src/dosfs/msdos.h, src/dosfs/msdos_dir.c: Some bugs were still
+ 	present in the DOSFS implementation:
+ 	    - FAT12 did not work properly on Big-Endian machines
+ 	    - Some synchronization and error handling problems were present
+ 	    - Some legal codings for EOC were not recognized
+ 
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/libmisc/ChangeLog rtems-4.6.0pre2/cpukit/libmisc/ChangeLog
*** rtems-4.6.0pre1/cpukit/libmisc/ChangeLog	Mon Jan 27 10:16:24 2003
--- rtems-4.6.0pre2/cpukit/libmisc/ChangeLog	Thu Apr 17 05:50:02 2003
***************
*** 1,3 ****
--- 1,21 ----
+ 2003-04-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* dummy/Makefile.am: Remove stray dummy.rel.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-02-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	capture/capture-cli.c: Add proper definition to avoid compiler
+ 	warnings. Apply int = getchar().
+ 
+ 2003-02-14	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 352/rtems_misc
+ 	* shell/shell.c: make rtems_shell main task an FP enabled task.
+ 
  2003-01-27	Dan Smisko <dan@balanced.com>
  
  	* stackchk/check.c: Fix problem where _Objects_Get_information()
diff -N -P -r -c rtems-4.6.0pre1/cpukit/libnetworking/ChangeLog rtems-4.6.0pre2/cpukit/libnetworking/ChangeLog
*** rtems-4.6.0pre1/cpukit/libnetworking/ChangeLog	Tue Feb 11 16:58:08 2003
--- rtems-4.6.0pre2/cpukit/libnetworking/ChangeLog	Tue Apr 15 09:58:28 2003
***************
*** 1,3 ****
--- 1,53 ----
+ 2003-04-15	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 388/networking
+ 	* kern/kern_sysctl.c: Revert previous patch and use strlcpy() now that
+ 	it is available. Also fixed some warnings.
+ 
+ 2003-03-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* kern/kern_sysctl.c: Converted from BSP strlcpy() to strncpy().
+ 
+ 2003-03-25	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* rtems/rtems_bsdnet_malloc_starvation.c: Fixed name of include file.
+ 
+ 2002-03-25	Eric Norum <norume@aps.anl.gov>
+ 
+ 
+ 	PR 374/networking
+ 	* Makefile.am, rtems/rtems_bsdnet.h, rtems/rtems_glue.c:
+ 	The patch sent as part of PR270 got applied to the wrong place.  
+ 	The effect was that (1) startup was no faster than before and
+ 	(2) malloc starvation messages came way too quickly.  The attached
+ 	patch fixes both these problems and also provides a mechanism for
+ 	applications to handle malloc starvation conditions as they see fit.
+ 	* rtems/rtems_bsdnet_malloc_starvation.c: New file.
+ 
+ 2003-03-18	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 356/bsps
+ 	* sys/linker_set.h: This patch makes RTEMS/PowerPC eabi compliant.
+ 	Declare all linker-script defined addresses as
+ 	variables of unknown size and not as short objects
+ 	like 'int', 'void*' etc.  Since only addresses are used and never those
+ 	variable's values, the type used in a declaration is not important.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* netinet/in_chksum.c: Remove duplicate case to include
+ 	in_chksum_arm.c.
+ 
+ 2003-02-20	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 351/networking
+ 	* nfs/bootp_subr.c: Fix ridiculous leak in bootp and use
+ 	strdup_bootp_realloc() everywhere for sake of consistency.
+ 
  2003-02-11	Mike Siers <mikes@poliac.com>
  
  	* rtems/rtems_glue.c: A small patch to the network daemon task
***************
*** 99,104 ****
--- 149,155 ----
  	directives.
  
  2002-12-18	Eric Norum <eric.norum@usask.ca>
+ 
  	* Makefile.am: Include netinet sources.
  
  2002-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
diff -N -P -r -c rtems-4.6.0pre1/cpukit/librpc/ChangeLog rtems-4.6.0pre2/cpukit/librpc/ChangeLog
*** rtems-4.6.0pre1/cpukit/librpc/ChangeLog	Tue Feb 11 05:47:43 2003
--- rtems-4.6.0pre2/cpukit/librpc/ChangeLog	Thu Mar  6 03:38:48 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/posix/ChangeLog rtems-4.6.0pre2/cpukit/posix/ChangeLog
*** rtems-4.6.0pre1/cpukit/posix/ChangeLog	Tue Feb 11 05:47:47 2003
--- rtems-4.6.0pre2/cpukit/posix/ChangeLog	Thu Mar  6 03:38:54 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
+ 
  2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
diff -N -P -r -c rtems-4.6.0pre1/cpukit/sapi/ChangeLog rtems-4.6.0pre2/cpukit/sapi/ChangeLog
*** rtems-4.6.0pre1/cpukit/sapi/ChangeLog	Mon Feb  3 17:58:21 2003
--- rtems-4.6.0pre2/cpukit/sapi/ChangeLog	Thu Mar  6 00:51:56 2003
***************
*** 1,3 ****
--- 1,19 ----
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* Makefile.am: Remove stray reference to sptables.h.in.
+ 
+ 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* include/rtems/sptables.h.in: Remove.
+ 	* include/rtems/sptables.h: New.
+ 	* include/.cvsignore: Remove.
+ 	* include/rtems/.cvsignore: Remove.
+ 	* inline/.cvsignore: Remove.
+ 	* inline/rtems/.cvsignore: Remove.
+ 	* macros/.cvsignore: Remove.
+ 	* macros/rtems/.cvsignore: Remove.
+ 	* src/.cvsignore: Remove.
+ 
  2003-02-03	Joel Sherrill <joel@OARcorp.com>
  
  	PR 338/filesystem
